package jp.ac.gifunct.ktajima.llservey;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * Created by ktajima on 2015/09/03.
 */
public class SurveyData{
    private String surveyName;
    private HashMap<String,ArrayList<String>> tagElements;

    private String surveyTitle;
    private String memo;
    public SurveyData(String name,HashMap<String,ArrayList<String>> tags,String title,String m){
        this.surveyName = name;
        this.tagElements = tags;
        this.surveyTitle = title;
        this.memo = m;
    }

    public SurveyData(String name,HashMap<String,ArrayList<String>> tags){
        this(name,tags,"","");
    }

    public SurveyData(String name){
        this(name,new HashMap<String,ArrayList<String>>(),"","");
    }

    public void setTagData(String key,String value){
        ArrayList<String> values;
        if(this.tagElements.containsKey(key)){
            values = this.tagElements.get(key);
        } else {
            values = new ArrayList<String>();
        }
        values.add(value);
        this.tagElements.put(key, values);
    }

    public HashMap<String, ArrayList<String>> getTagElements() {
        return tagElements;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getSurveyTitle() {
        return surveyTitle;
    }

    public void setSurveyTitle(String surveyTitle) {
        this.surveyTitle = surveyTitle;
    }

    public void setTagList(HashMap<String,ArrayList<String>> tagList) {
        this.tagElements = tagList;
    }
}
