package jp.ac.gifunct.ktajima.llservey;

import android.content.Intent;
import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;

import java.util.ArrayList;

public class ConfrimActivity extends AppCompatActivity {
    public static final int ShootingActivityCalled = 1100;

    private String surveyID;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_confrim);

        Intent intent = getIntent();
        if(intent != null) {
            if (intent.hasExtra(ToolsUtility.IntentKey_SurveyID)) {
                this.surveyID = intent.getStringExtra(ToolsUtility.IntentKey_SurveyID);
            }
        }

        TableLayout Table = (TableLayout)findViewById(R.id.table_confrim);
        //Table.setBackgroundColor(Color.BLACK);

        TableRow table_header = new TableRow(this);
        TextView table_heder1 = new TextView(this);
        TextView table_heder2 = new TextView(this);
        TextView table_heder3 = new TextView(this);
        table_heder1.setText("  Nmuber  ");
        table_heder2.setText("  Target ID  ");
        table_heder3.setText("  Show pictures");
        table_heder1.setTextColor(Color.BLACK);
        table_heder2.setTextColor(Color.BLACK);
        table_heder3.setTextColor(Color.BLACK);
        table_heder1.setBackgroundColor(Color.rgb(175, 238, 238));
        table_heder2.setBackgroundColor(Color.rgb(175, 238, 238));
        table_heder3.setBackgroundColor(Color.rgb(175, 238, 238));
        table_header.addView(table_heder1);
        table_header.addView(table_heder2);
        table_header.addView(table_heder3);
        Table.addView(table_header);

        ArrayList<String> keys = ToolsUtility.getTargetList();
        for (int inx = 0; inx < keys.size(); inx ++) {
            TableRow table_row = new TableRow(this);

            TextView table_row_text0 = new TextView(this);
            table_row_text0.setText(Integer.toString(inx));
            table_row.addView(table_row_text0);

            TextView table_row_text1 = new TextView(this);
            table_row_text1.setText(keys.get(inx));
            table_row.addView(table_row_text1);

            Button button = new Button(this);
            button.setText("view " + inx);
            button.setOnClickListener(makeOnClick(keys.get(inx)));
            table_row.addView(button);
            Table.addView(table_row);
        }


    }

    private View.OnClickListener makeOnClick(final String key){
        return new View.OnClickListener(){
              @Override
            public void onClick(View v) {
                  Intent intent = new Intent(ConfrimActivity.this, shootingActivity.class);
                  intent.putExtra(ToolsUtility.IntentKey_SurveyID,surveyID);
                  intent.putExtra(ToolsUtility.IntentKey_PictureTargetID,key);
                  startActivityForResult(intent, ShootingActivityCalled);
            }
        };
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_confrim, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
